import java.util.Scanner;

public class Tablas
{
 public static void main(String args[])
 { 
  Scanner teclado = new Scanner(System.in);

  System.out.println("cual operador desea:|1= + |2= - |3= * |4= / |5= % |0= salir ");
  int a = teclado.nextInt();
  System.out.println("digite el valor máximo");
  double max = teclado.nextDouble();
  System.out.println("digite el valor mínimo");
  double min = teclado.nextDouble();
  System.out.println("digite el incremento");
  double incremento = teclado.nextDouble();
  if (incremento<=0){ System.out.println("digite incremento con numero positivo");
    incremento = teclado.nextDouble();
    ;}
   else if(incremento>0){
  if(a ==1 ){
    System.out.printf("%7s","+ |");
    
    for(double i= min; i<=max;){
   
       double b=0;
   
    System.out.printf("%7s",b+" |");
      for(double u= min; u<=max;){
        
      double respuesta= i+u;
    u+= incremento;
    b =u;
    
    System.out.printf("%7s",respuesta);
    }   ;
      System.out.println(); 
    
     i+= incremento;
  }
  }
   if(a ==2 ){
    for(double i= min; i<=max;){
      
     for(double u= min; u<=max;){
      double respuesta= i-u;
    u+= incremento;
    System.out.printf("%7s",respuesta);
    } System.out.println();
     i+= incremento;
  }
  }
   
    if(a ==3 ){
    for(double i= min; i<=max;){
     for(double u= min; u<=max;){
      double respuesta= i*u;
    u+= incremento;
    System.out.printf("%7s",respuesta);
    } System.out.println();
     i+= incremento;
  }
  }}
    
     if(a ==4 ){
    for(double i= min; i<=max;){
     for(double u= min; u<=max;){
      double respuesta= i/u;
    u+= incremento;
    System.out.printf("%7s",respuesta);
    } System.out.println();
     i+= incremento;
  }
  }
      if(a ==5 ){
    for(double i= min; i<=max;){
     for(double u= min; u<=max;){
      double respuesta= i%u;
    u+= incremento;
    System.out.printf("%7s",respuesta);
    } System.out.println();
     i+= incremento;
  }
  }

  }
 
 
 }
